> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coldsend.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook subscription

> Update a webhook subscription.



## OpenAPI

````yaml /public_openapi.json patch /api/public/v1/webhooks/{webhook_id}
openapi: 3.0.3
info:
  title: ColdSend Public API
  description: >-
    Programmatic access to ColdSend for managing cold email campaigns and sender
    accounts.
  version: 1.0.0
  contact:
    name: ColdSend Support
    email: support@coldsend.pro
    url: https://coldsend.pro
servers:
  - url: https://api.coldsend.pro
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/public/v1/webhooks/{webhook_id}:
    patch:
      tags:
        - Webhooks
      summary: Update webhook subscription
      description: Update a webhook subscription.
      operationId: update_webhook_api_public_v1_webhooks__webhook_id__patch
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookUpdateRequest:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          nullable: true
          title: Name
        target_url:
          type: string
          maxLength: 2048
          nullable: true
          title: Target Url
        event_types:
          items:
            type: string
          type: array
          nullable: true
          title: Event Types
        campaign_id:
          type: string
          format: uuid
          nullable: true
          title: Campaign Id
        event_categories:
          items:
            type: string
          type: array
          nullable: true
          title: Event Categories
        active:
          type: boolean
          nullable: true
          title: Active
      type: object
      title: WebhookUpdateRequest
      description: Request to update a webhook subscription.
    WebhookResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        target_url:
          type: string
          title: Target Url
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        event_types:
          items:
            type: string
          type: array
          title: Event Types
        event_categories:
          items:
            type: string
          type: array
          nullable: true
          title: Event Categories
        campaign_id:
          type: string
          format: uuid
          nullable: true
          title: Campaign Id
        active:
          type: boolean
          title: Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - target_url
        - workspace_id
        - event_types
        - active
        - created_at
        - updated_at
      title: WebhookResponse
      description: Webhook subscription response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with format cs_live_xxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.